Bug 18420 - [915gv GEM] readpix fail with tiling on
Summary: [915gv GEM] readpix fail with tiling on
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: low major
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18841
  Show dependency treegraph
 
Reported: 2008-11-06 23:47 UTC by liuhaien
Modified: 2009-11-03 01:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (24.41 KB, text/plain)
2008-11-06 23:47 UTC, liuhaien
Details
xorg conf file (3.26 KB, text/plain)
2008-11-06 23:47 UTC, liuhaien
Details
xorg.0.log with tiling on (18.71 KB, text/plain)
2009-03-15 18:56 UTC, liuhaien
Details
screenshot (125.31 KB, image/png)
2009-03-15 18:57 UTC, liuhaien
Details
xorg.0.log with Modedebug on (44.90 KB, text/plain)
2009-03-16 22:21 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-11-06 23:47:17 UTC
Created attachment 20123 [details]
xorg.0.log

System Environment:
--------------------------

--Platform:915gv

--Architecture(32-bit,64-bit,compatiblity):32bit 

GEM_kernel (drm-intel-next)  2db46b5668dfed59acacd75dfc49ecf947ea5aeb
Libdrm:         (master)87e90c73620b88005fcca5fd40aaaad0b08932e1
Mesa:           (master)df94fd17647937975df031dcaa1ac24b2d79ce1b
Xserver:                (master)b4ca9dc2393ace2415163094b916f0d17ecba9ee
Xf86_video_intel:              
(master)226efa7c74c0ed8a7b974a3727c5d7322c8ef815


Bug detailed description:
-------------------------
  startx ,run glean cases.on 915gv, a lot of glean cases run failed,for
example,blendFunc,fragProg1,logicOp,orthoPosRandTris,orthoPosRandRects ...and
so on.we just get 13 pass in 42 cases.
Comment 1 liuhaien 2008-11-06 23:47:35 UTC
Created attachment 20124 [details]
xorg conf file
Comment 2 Eric Anholt 2008-11-25 02:08:05 UTC
(insert usual question here about readpix demo)
Comment 3 Gordon Jin 2008-12-05 22:43:26 UTC
Haien, please try readpix, though I know it's troublesome as the machine is in AutoDTI lab.
Comment 4 liuhaien 2008-12-09 00:20:34 UTC
(In reply to comment #3)
> Haien, please try readpix, though I know it's troublesome as the machine is in
> AutoDTI lab.
> 

readpix and gearbox also failed.
Comment 5 liuhaien 2008-12-09 01:17:00 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Haien, please try readpix, though I know it's troublesome as the machine is in
> > AutoDTI lab.
> > 
> 
> readpix and gearbox also failed.
> 

btw,readipx and gearbox can work well if set tiling off.
Comment 6 Eric Anholt 2009-03-13 16:24:16 UTC
Please attach the screenshot of readpix, as well as dmidecode output.  From the registers, it looks like you've got a single channel of memory and no extra swizzling occurring, and the code at that time should have handled it correctly.
Comment 7 liuhaien 2009-03-15 18:50:39 UTC
dmidecode |grep -A16 "Memory Device$" shows
Memory Device
        Array Handle: 0x1000
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 256 MB
        Form Factor: DIMM
        Set: None
        Locator: DIMM_1
        Bank Locator: Not Specified
        Type: DDR
        Type Detail: Synchronous
        Speed: 533 MHz (1.9 ns)
        Manufacturer: FFFFFFFFFFFFFFFF
        Serial Number: FFFFFFFF
        Asset Tag: Not Specified
        Part Number:
--
Memory Device
        Array Handle: 0x1000
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 256 MB
        Form Factor: DIMM
        Set: None
        Locator: DIMM_2
        Bank Locator: Not Specified
        Type: DDR
        Type Detail: Synchronous
        Speed: 533 MHz (1.9 ns)
        Manufacturer: CE00000000000000
        Serial Number: 73111D28
        Asset Tag: Not Specified
        Part Number: M3 78T3354CZ3-CD5
Comment 8 liuhaien 2009-03-15 18:56:16 UTC
Created attachment 23891 [details]
xorg.0.log with tiling on
Comment 9 liuhaien 2009-03-15 18:57:19 UTC
Created attachment 23892 [details]
screenshot
Comment 10 liuhaien 2009-03-15 19:22:40 UTC
sorry,this is 915gv, not 915gm. The previous log was wrong
Comment 11 Eric Anholt 2009-03-16 10:44:51 UTC
Still requires ModeDebug.
Comment 12 liuhaien 2009-03-16 22:21:12 UTC
Created attachment 23952 [details]
xorg.0.log with Modedebug on
Comment 13 liuhaien 2009-03-16 22:21:57 UTC
(In reply to comment #11)
> Still requires ModeDebug.
> 

ok, Xorg.0.log with Modedebug on is re-attached
Comment 14 Eric Anholt 2009-03-23 18:13:19 UTC
Likely fixed by:

commit a243a32388e4828dc5fe8e9dd129a3042bf5b6b3
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Mar 12 16:27:11 2009 -0700

    drm/i915: Change DCC tiling detection case to cover only mobile parts.
    
    Later spec investigation has revealed that every 9xx mobile part has
    had this register in this format.  Also, no non-mobile parts have been shown
    to have this register.  So make all mobile use the same code, and all
    non-mobile use the hack 965 detection.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
Comment 15 liuhaien 2009-03-25 00:10:08 UTC
still fails against this commit.so reopen it.
Comment 16 Gordon Jin 2009-03-30 18:26:22 UTC
remove from Q1 release blocker
Comment 17 Eric Anholt 2009-10-30 17:36:46 UTC
commit 7c8bed62e0165a0be3363f7abf81bf9e30341e00
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Oct 30 15:33:11 2009 -0700

    intel: Use GTT mapping when available for swrast.
    
    This improves piglit quick.tests runtime from 19:33 minutes to 6:06 on
    my GM45.  It should also hide most of the A17 swizzling issues, though
    they'll still exist when swapping occurs (which is the kernel's problem
    either way).
Comment 18 Gordon Jin 2009-11-03 01:19:05 UTC
this machine is not in our control now, closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.